Package Scientific :: Package BSP :: Module Console :: Class ParallelInterpreter

[frames] | no frames]

# Class ParallelInterpreter

    code.InteractiveInterpreter --+
                                  |
                                 ParallelInterpreter

Instance Methods

__init__(self) Constructor. |

mainloop(self) |

Inherited from `code.InteractiveInterpreter`: `runcode`, `runsource`, `showsyntaxerror`, `showtraceback`, `write`

Method Details

### __init__(self)
(Constructor)

Constructor.

The optional 'locals' argument specifies the dictionary in which code will be executed; it defaults to a newly created dictionary with key "__name__" set to "__console__" and key "__doc__" set to None.

Overrides: code.InteractiveInterpreter.__init__
  (inherited documentation)